package fr.plnech.dunbar

import android.graphics.Bitmap
import android.provider.ContactsContract.Contacts

data class Friend(val map: MutableMap<String, String?>, val photo: Bitmap?) {
    override fun toString(): String = "$name"

    val name: String?
        get() = map[Contacts.DISPLAY_NAME]

    val id: Int
        get() = map[Contacts._ID]!!.toInt()

    val lastTime: String?
        get() = map[Contacts.LAST_TIME_CONTACTED]

    val timesContacted: Int
        get() = map[Contacts.TIMES_CONTACTED]?.toInt() ?: 0

    val isYou: String?
        get() = map[Contacts.IS_USER_PROFILE]

    val visibleOutsideSearch: String?
        get() = map[Contacts.IN_DEFAULT_DIRECTORY]
}